import org.junit.Assert;
import org.junit.Test;
public class FizzBuzzTest {

    @Test
    public void fizzTest(){
        //given
        FizzBuzz testFB = new FizzBuzz();
        int num1 = 3;
        String expected = "Fizz";

        String actual = testFB.FizzBuzz(num1);

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void buzzTest(){
        //given
        FizzBuzz testFB = new FizzBuzz();
        int num1 = 5;
        String expected = "Buzz";

        String actual = testFB.FizzBuzz(num1);

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void fizzBuzzTest(){
        //given
        FizzBuzz testFB = new FizzBuzz();
        int num1 = 15;
        String expected = "FizzBuzz";

        String actual = testFB.FizzBuzz(num1);

        Assert.assertEquals(expected, actual);
    }

    @Test
    public void elseTest(){
        //given
        FizzBuzz testFB = new FizzBuzz();
        int num1 = 2;
        String expected = "2";

        String actual = testFB.FizzBuzz(num1);

        Assert.assertEquals(expected, actual);
    }

}